# File: modelfileConfig.cmake.in
# Author: Jean-Nicolas Lang
# Description: Config file for creating the modelfile library package
# Last Modified: March 02, 2018

# It defines the following variables
#  MODELFILE_LIBRARY_DIR - include directories for project library
#  MODELFILE_INCLUDE_DIR - include directories for project headers
#  MODELFILE_LIBRARY_PATH - path to the modelfile library file

set(MODELFILE_LIBRARY_DIR "/usr/lib64")
set(MODELFILE_INCLUDE_DIR "/usr/include")
add_library(modelfile SHARED IMPORTED)
find_library(MODELFILE_LIBRARY_PATH modelfile HINTS "${MODELFILE_LIBRARY_DIR}")
set_target_properties(modelfile PROPERTIES IMPORTED_LOCATION "${MODELFILE_LIBRARY_PATH}")
include_directories(${MODELFILE_INCLUDE_DIR})
